API Reference
Employee Documents
3 endpoints· Auth: JWT or API Key
get
/api/v1/console/hr/employees/{id}/documents JWT API KeyGet documents
Path parameters
| idrequired string (uuid) | — |
Query parameters
| IncludeRetired boolean | — |
| Sort string | — |
| Dir string | — |
Responses
200Success
cURL
curl -X GET "https://staging-api.panoptesos.com/api/v1/console/hr/employees/{id}/documents" \
-H "X-Api-Key: <YOUR_API_KEY>" Try itagainst staging · https://staging-api.panoptesos.com
Path parameters
Query parameters
Set credentials in the “Authorize” menu
post
/api/v1/console/hr/employees/{id}/documents JWT API KeyCreate documents
Path parameters
| idrequired string (uuid) | — |
Request body
application/json
{
"typeId": "00000000-0000-0000-0000-000000000000",
"title": "string",
"fileUrl": "string",
"issueDate": "2026-09-30T18:07:54.461Z",
"expiryDate": "2026-09-30"
}| typeId string (uuid) | — |
| title string | — |
| fileUrl string | — |
| issueDate string (date-time) | — |
| expiryDate string (date) | — |
Responses
200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/hr/employees/{id}/documents" \
-H "Content-Type: application/json" \
-H "X-Api-Key: <YOUR_API_KEY>" \
-d '{
"typeId": "00000000-0000-0000-0000-000000000000",
"title": "string",
"fileUrl": "string",
"issueDate": "2026-09-30T18:07:54.461Z",
"expiryDate": "2026-09-30"
}' Try itagainst staging · https://staging-api.panoptesos.com
Path parameters
Request body (JSON)
Set credentials in the “Authorize” menu
delete
/api/v1/console/hr/employees/documents/{documentId} JWT API KeyDelete documentId
Path parameters
| documentIdrequired string (uuid) | — |
Request body
application/json
{
"reason": "string"
}| reason string | — |
Responses
200Success
cURL
curl -X DELETE "https://staging-api.panoptesos.com/api/v1/console/hr/employees/documents/{documentId}" \
-H "X-Api-Key: <YOUR_API_KEY>" Try itagainst staging · https://staging-api.panoptesos.com
Path parameters
Set credentials in the “Authorize” menu